{{
RTC Test Suite 2
by Clive J. Wakeham
}}

obj
        RTC     :               "pcf8593"
        pst     :               "Parallax Serial Terminal"
       
var     long          data9
        byte          data1
        long          Time
                
con     SCL                     = 28
        _CLKMODE                = XTAL1 + PLL4X
        _CLKFREQ                = 20_000_000

pub Start
pst.Start(115200)                                   ' Start Serial Terminal
pst.clear
data9 := RTC.RTC_Present                            ' Is the PCF8593 RTC connected?
 if data9 == True
  pst.str(string(" Device found "))
  pst.newline
data9 := RTC.RTC_Running
 if data9 == True
  pst.str(string(" Device running "))
  pst.newline
 else
  pst.str(string(" Device not running "))
  pst.newline
  pst.str(string(" Setting clock "))
  RTC.Set_Time(12, 59, 00)
  pst.str(string("Time set to 12 hrs 59 mins and zero seconds"))
  pst.newline
  RTC.Init_Crystal
  RTC.Start_Clock
repeat data1 from 0 to 7
 pst.hex(RTC.Read_Memory(data1), 2)
 pst.newline
repeat 10
 repeat 10
  waitcnt(clkfreq + cnt)
 pst.str(string("Waited for 10 seconds approx.."))
 pst.newline
 Time := RTC.Read_Time
 pst.dec(Time.byte[3])
 pst.str(string(" "))
 pst.dec(Time.byte[2])
 pst.str(string(" "))
 pst.dec(Time.byte[1])
 pst.str(string(" "))
 pst.dec(Time.byte[0])
 pst.newline